Qt 5.7 | Qt Charts | C++ Classes | QPieLegendMarker

Qt 5.7.1 Reference Documentation

# QPieLegendMarker Class

QLegendMarker subclass for pie series. More...

Header: | #include <QPieLegendMarker>
Inherits: | QLegendMarker

- List of all members, including inherited members

## Public Functions

virtual | ~QPieLegendMarker()
QPieSlice * | slice()

## Reimplemented Public Functions

virtual QPieSeries * | series()
virtual LegendMarkerType | type()

- 14 public functions inherited from QLegendMarker

### Additional Inherited Members

- 6 properties inherited from QLegendMarker
- 8 signals inherited from QLegendMarker

## Detailed Description

QLegendMarker subclass for pie series.

QPieLegendMarker is related to QPieSeries. With QPieSeries, each slice of pie is related to one marker in QLegend.

See also QLegend, QPieSeries, and QPieSlice.

## Member Function Documentation

### `[virtual]` QPieLegendMarker::~QPieLegendMarker()

Destructor

### `[virtual]` QPieSeries *QPieLegendMarker::series()

Reimplemented from QLegendMarker::series().

Returns the related series of marker.

### QPieSlice *QPieLegendMarker::slice()

Returns the related slice of marker.

### `[virtual]` LegendMarkerType QPieLegendMarker::type()

Reimplemented from QLegendMarker::type().

Returns QLegendMarker::LegendMarkerTypePie